Developer Documentation

Public Member Functions | Protected Attributes | List of all members
ACG::MeshCompilerDefaultFaceInput Class Reference
Inheritance diagram for ACG::MeshCompilerDefaultFaceInput:

## Public Member Functions
| MeshCompilerDefaultFaceInput (int _numFaces, int _numIndices)
int | getNumFaces () const override
int | getNumIndices () const override
int | getFaceSize (const int _faceID) const override
int | getSingleFaceAttr (const int _faceID, const int _faceCorner, const int _attrID) const override
bool | getFaceAttr (const int _faceID, const int _attrID, int *_out) const override
void | dbgWriteToObjFile (FILE *_file, int _posAttrID=0, int _normalAttrID=-1, int _texcAttrID=-1)
void | setFaceData (int _faceID, int _size, int *_data, int _attrID=0)
Public Member Functions inherited from ACG::MeshCompilerFaceInput
virtual int * | getFaceAttr (const int _faceID, const int _attrID) const
virtual int | getVertexAdjCount (const int _vertexID) const
virtual int | getVertexAdjFace (const int _vertexID, const int _k) const

## Protected Attributes
int | numFaces_
int | numIndices_
std::vector< int > | faceOffset_
std::vector< int > | faceSize_
std::vector< int > | faceData_ [16]

## Detailed Description

Definition at line 193 of file MeshCompiler.hh.

## Member Function Documentation

## ◆ getFaceAttr()

bool ACG::MeshCompilerDefaultFaceInput::getFaceAttr | ( | const int | _faceID,
|  | const int | _attrID,
|  | int * | _out
| ) |  | const
| override virtual

Get an index buffer of a face for a specific attribute channel.

Parameters

  _faceID | face index
  _attrID | attribute channel
  _out | pointer to output buffer, use getFaceSize(_faceID) to get the size needed to store face data

Returns
  true if successful, false otherwise

Reimplemented from ACG::MeshCompilerFaceInput.

Definition at line 4117 of file MeshCompiler.cc.

## ◆ getFaceSize()

int ACG::MeshCompilerDefaultFaceInput::getFaceSize | ( | const int | _faceID | ) | const
| inline override virtual

Get number of vertices per face.

Parameters

  _faceID | face index

Implements ACG::MeshCompilerFaceInput.

Definition at line 202 of file MeshCompiler.hh.

## ◆ getNumIndices()

int ACG::MeshCompilerDefaultFaceInput::getNumIndices | ( |  | ) | const
| inline override virtual

Get total number of indices in one attribute channel.

i.e. total number of position indices of the whole mesh

Implements ACG::MeshCompilerFaceInput.

Definition at line 200 of file MeshCompiler.hh.

## ◆ getSingleFaceAttr()

int ACG::MeshCompilerDefaultFaceInput::getSingleFaceAttr | ( | const int | _faceID,
|  | const int | _faceCorner,
|  | const int | _attrID
| ) |  | const
| override virtual

Get a single vertex-index entry of a face.

Parameters

  _faceID | face index
  _faceCorner | vertex corner of the face
  _attrID | attribute channel

Returns
  index-data if successful, -1 otherwise

Reimplemented from ACG::MeshCompilerFaceInput.

Definition at line 4128 of file MeshCompiler.cc.

The documentation for this class was generated from the following files:

- OpenFlipper/libs_required/ACG/GL/MeshCompiler.hh
- OpenFlipper/libs_required/ACG/GL/MeshCompiler.cc